 /* -------------------------------------------------------------------------
 HEADER SECTION
*/



/* -------------------------------------------------------------------------
 MESSAGE DEFINITION SECTION
*/
// Categories are of type WORD
//**********************Category Definitions***********************
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_SYSTEM                  0x0
#define FACILITY_STUBS                   0x3
#define FACILITY_RUNTIME                 0x2
#define FACILITY_IO_ERROR_CODE           0x4


//
// Define the severity codes
//
#define STATUS_SEVERITY_WARNING          0x2
#define STATUS_SEVERITY_SUCCESS          0x0
#define STATUS_SEVERITY_INFORMATIONAL    0x1
#define STATUS_SEVERITY_ERROR            0x3


//
// MessageId: SX_CAT_AD
//
// MessageText:
//
//  Scalix AD
//
#define SX_CAT_AD                        ((WORD)0x00000001L)

//
// MessageId: SX_CAT_FORESTPREP
//
// MessageText:
//
//  Forest Prep
//
#define SX_CAT_FORESTPREP                ((WORD)0x00000002L)

//********************End of Category Definitions******************
// Event definitions are of type DWORD
//***********************Event Definitions***************************
//
// MessageId: SX_ERR_PROPUPDATE
//
// MessageText:
//
//  There was a problem writing the Scalix property changes into Active Directory.%rError code:  %1
//
#define SX_ERR_PROPUPDATE                ((DWORD)0xC0000101L)

//
// MessageId: SX_ERR_SCHEMA_NOT_UPDATED
//
// MessageText:
//
//  The Active Directory schema has not been updated with the necessary Scalix extensions.%rPlease run the ScalixForestPrep tool to properly update the schema.
//
#define SX_ERR_SCHEMA_NOT_UPDATED        ((DWORD)0xC0000102L)

//
// MessageId: SX_ERR_INVALID_DN
//
// MessageText:
//
//  There was an error reading the direcoty entry %1.%rError code %2
//
#define SX_ERR_INVALID_DN                ((DWORD)0xC0000103L)

//
// MessageId: SX_ERR_WRITE_PROPERTY
//
// MessageText:
//
//  There was an error writing the %1 property to the %2 directory entry.%rError code:  %3
//
#define SX_ERR_WRITE_PROPERTY            ((DWORD)0xC0000104L)

//
// MessageId: SX_ERR_PREP_INIT
//
// MessageText:
//
//  An error occurred preparing to update the AD schema.%rError code:  %1
//
#define SX_ERR_PREP_INIT                 ((DWORD)0xC0000105L)

//
// MessageId: SX_ERR_CONNECT_ROOT
//
// MessageText:
//
//  An error occurred connecting to the rootDSE.%rError code:  %1
//
#define SX_ERR_CONNECT_ROOT              ((DWORD)0xC0000106L)

//
// MessageId: SX_ERR_CREATE_ATTRIBUTE
//
// MessageText:
//
//  An error occurred creating the %1 attribute in the directory.%rError code:  %2
//
#define SX_ERR_CREATE_ATTRIBUTE          ((DWORD)0xC0000107L)

//
// MessageId: SX_ERR_CREATE_SCALIX_AUX
//
// MessageText:
//
//  An error occurred creating the Scalix auxilary class.%rError code:  %1
//
#define SX_ERR_CREATE_SCALIX_AUX         ((DWORD)0xC0000108L)

//
// MessageId: SX_ERR_ATTACH_AUX_TO_USER
//
// MessageText:
//
//  An error occurred adding the Scalix auxilary class to the cn=User class.%rError code:  %1
//
#define SX_ERR_ATTACH_AUX_TO_USER        ((DWORD)0xC0000109L)

// Informational messages
//
// MessageId: SX_OK_SCHEMA_UPDATE
//
// MessageText:
//
//  The AD Schema was successfully updated by ScalixForestPrep
//
#define SX_OK_SCHEMA_UPDATE              ((DWORD)0x00000501L)

//
// MessageId: SX_OK_SCHEMA_ALREADY_UPDATED
//
// MessageText:
//
//  The AD Schema has already been updated by ScalixForestPrep.  No additional changes have been made.
//
#define SX_OK_SCHEMA_ALREADY_UPDATED     ((DWORD)0x40000502L)

//***********************End of Event Definitions********************