<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!--
//////////////////////////////////////////////////////////////////////////////
//  
//  Project
//      Scalix Rules Wizard
//  
//  File
//      .\sclxres\conds.xsl
//  
//  Description
//      
//  
//  Copyright (c) 2004 Scalix Corp. All rights reserved
//  
//  Developed for Scalix Corp. by
//      Equiom, Inc.
//      www.equiom.com
//  
//  History
//      03/07/04    (saedn)
//          created
//  
//////////////////////////////////////////////////////////////////////////////
-->
<xsl:include href="strings.xsl"/>

<xsl:template match="/">
<conditions>
  <xsl:apply-templates select="conditions"/>
</conditions>
</xsl:template>

<xsl:template match="conditions"><xsl:apply-templates/></xsl:template>

<xsl:template match="condition">
  <xsl:if test="@skip = 0">
    <condition>
      <xsl:attribute name="id"><xsl:value-of select="@id"/></xsl:attribute>
      <xsl:attribute name="op"><xsl:value-of select="@op"/></xsl:attribute>
      <xsl:attribute name="event"><xsl:value-of select="@event"/></xsl:attribute>
      <xsl:attribute name="except"><xsl:value-of select="@except"/></xsl:attribute>
      <xsl:attribute name="server"><xsl:value-of select="@server"/></xsl:attribute>
      <xsl:apply-templates/>
    </condition>
  </xsl:if>
</xsl:template>

<xsl:template match="title">
  <xsl:choose>
    <xsl:when test="parent::condition[@id = 1]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond01_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond01_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc01_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc01_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>
    <xsl:when test="parent::condition[@id = 2]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond02_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond02_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc02_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc02_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>
    <xsl:when test="parent::condition[@id = 3]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond03_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond03_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc03_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc03_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 4]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond04_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond04_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc04_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc04_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 5]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond05_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond05_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc05_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc05_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 6]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond06_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond06_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc06_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc06_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 7]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond07_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond07_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc07_sPreLink"/></xsl:attribute>
	    <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc07_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 8]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond08_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond08_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc08_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc08_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 9]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond09_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond09_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc09_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc09_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 10]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond10_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond10_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc10_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc10_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 11]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond11_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond11_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc11_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc11_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 12]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond12_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond12_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc12_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc12_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 13]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond13_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond13_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc13_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc13_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 14]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond14_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond14_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc14_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc14_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 15]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond15_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond15_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc15_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc15_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 16]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond16_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond16_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc16_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc16_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 17]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond17_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond17_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc17_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc17_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 18]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond18_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond18_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc18_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc18_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 19]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond19_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond19_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc19_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc19_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 20]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond20_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond20_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc20_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc20_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
    <xsl:when test="parent::condition[@id = 21]">
      <title>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Cond21_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Cond21_sPostLink"/></xsl:attribute>
	  </title>
      <except>
	    <xsl:attribute name="preLink"><xsl:value-of select="$g_Exc21_sPreLink"/></xsl:attribute>
        <xsl:attribute name="postLink"><xsl:value-of select="$g_Exc21_sPostLink"/></xsl:attribute>
	  </except>
    </xsl:when>    
  </xsl:choose>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="selector">
  <selector>
    <xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
    <xsl:attribute name="type"><xsl:value-of select="@type"/></xsl:attribute>
    <xsl:attribute name="link">
    <xsl:choose>
      <xsl:when test="parent::condition[@id = 6]">
        <xsl:value-of select="$g_Cond06_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 7]">
        <xsl:value-of select="$g_Cond07_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 8]">
        <xsl:value-of select="$g_Cond08_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 9]">
        <xsl:value-of select="$g_Cond09_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 10]">
        <xsl:value-of select="$g_Cond10_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 11]">
        <xsl:value-of select="$g_Cond11_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 12]">
        <xsl:value-of select="$g_Cond12_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 13]">
        <xsl:value-of select="$g_Cond13_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 14]">
        <xsl:value-of select="$g_Cond14_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 15]">
        <xsl:value-of select="$g_Cond15_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 16]">
        <xsl:value-of select="$g_Cond16_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 17]">
        <xsl:value-of select="$g_Cond17_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 20]">
        <xsl:value-of select="$g_Cond20_sLink"/>
      </xsl:when>
      <xsl:when test="parent::condition[@id = 21]">
        <xsl:value-of select="$g_Cond21_sLink"/>
      </xsl:when>
    </xsl:choose>
    </xsl:attribute>
  </selector>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="method">
  <method>
    <xsl:attribute name="mapid"><xsl:value-of select="@mapid"/></xsl:attribute>	
  </method>
  <xsl:apply-templates/>
</xsl:template>

</xsl:stylesheet>
